
\newpage

\noindent
{\bf TODO:}

\begin{verbatim}

Ok, to sum up. I made a few changes to the CSP English text. There was for example a mention of ->: 
but it is not used. I here sum up all my comments to the CSP_E section in one email. 

1. Why do you also need a ||| (interleaving) operator. Why is interleaving needed? Your 
   processes do not send anything so they can't communicate in between them anyway (one sending
   and one receiving for example). I think || does the job here. Did you have any experiences 
   when implementing it that told you otherwise?

2. CSP *does* have a global fail, it is named CHAOS. It satisfies the property that for any
   process X it holds that X || CHAOS = CHAOS. I would, however, just call it Failure and 
   let it call assert(false). I don't like: assert(false);Failure.

3. By the way, STOP and Failure should probably be written with the same kind of letter
   capitalization, as in either Stop and Failure or STOP and FAILURE).

4. ??? looks a little ``verbose''. What about using ?? for the relaxed operator since this 
   is what we show here. If you went back to using || then it would all look
   kind of slightly less verbose symbol wise.

5. You use event patterns such as Event('acquire,t1,a) etc. I use Acquire(t1,a) etc in Figure 6. 
   Have you thought about doing that?

6. What does the E in CSP_E stand for?

7. I am a little worked about removing the implementation. Perhaps this is related to the discussion
   about || versus |||. As I stated above I don't see the need for |||. But are running out of
   space at this late point. One can perhaps leave out the implementation of CSP_E and then relate
   to the data automaton approach in Figure 6, since they are very related. I think one should relate
   CSP_E to data automata anyway, as I had done in the previous version of this paper (which I now see
   has been removed).

\end{verbatim}

\begin{verbatim}

Can wait:

1) Should figure captions be completely uniform?

2) The Ease of use scores are debatable, but I don't have better suggestions.

3) The order of alternatives in the table does not match the order in which
   techniques are discussed. I find the other of the table natural. I changed
   the order of discussion of these in the conclusion to match the table
   (since this is what the reader has most present in mind at that point).

\end{verbatim}

